Bug 13500 - Creating missing remote databases during recovery can fail
Creating missing remote databases during recovery can fail
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.8.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-02 01:22 UTC by Martin Schwenke
Modified: 2018-07-12 11:04 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.7 (4.15 KB, patch)
2018-07-06 01:49 UTC, Martin Schwenke
amitay: review+
Details
Patch for v4.8 (4.15 KB, patch)
2018-07-06 01:50 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2018-07-02 01:22:30 UTC
Creating missing remote databases during recovery can fail because the client ID is sent across the wire and looked up on remote nodes.  If the client ID on a remote node maps to a non-recovery-daemon process then the missing database will not be attached - the attach will be deferred.

This can be fixed when attaching to a database by confirming that the source node is the current node before looking up a client ID.

This could be also fixed by clearing the client ID when forwarding a packet to another node.  However, this change would be more invasive.
Comment 1 Martin Schwenke 2018-07-06 01:49:48 UTC
Created attachment 14284 [details]
Patch for 4.7
Comment 2 Martin Schwenke 2018-07-06 01:50:19 UTC
Created attachment 14285 [details]
Patch for v4.8
Comment 3 Amitay Isaacs 2018-07-06 08:16:38 UTC
Hi Karolin,

This is ready for v4.7 and v4.8.
Comment 4 Karolin Seeger 2018-07-06 09:04:57 UTC
(In reply to Amitay Isaacs from comment #3)
Hi Amitay,

pushed to autobuild-v4-[7,8]-test.
Comment 5 Karolin Seeger 2018-07-12 11:04:21 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!